Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.gisgraphy.domain.valueobject
Enum FeatureCode

    java.lang.Object
      java.lang.Enum<FeatureCode>
          com.gisgraphy.domain.valueobject.FeatureCode

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<FeatureCode>

    public enum FeatureCode

extends java.lang.Enum<FeatureCode>

List of all feature codes with their feature class with a localized description and an associated java Object.
A `FeatureCode` is represented by a stringwith this pattern : featureclass_featureCode

Author:
  David Masclet
See Also:
  The feature code files, `getObject().`

Enum Constant Summary
`A_ADM1`
`A_ADM2`
`A_ADM3`
`A_ADM4`
`A_ADMD`
`A_LTER`
`A_PCL`
`A_PCLD`
`A_PCLF`
`A_PCLI`
`A_PCLIX`
`A_PCLS`
`A_PRSH`
`A_TERR`
`A_ZN`
`A_ZNB`
`H_AIRS`
`H_ANCH`
`H_BAY`
`H_BAYS`
`H_BGHT`
`H_BNK`
`H_BNKR`
`H_BNKX`
`H_BOG`
`H_CAPG`
`H_CHN`
`H_CHNL`
`H_CHNM`
`H_CHNN`
`H_CNFL`
`H_CNL`
`H_CNLA`
`H_CNLB`
`H_CNLD`
`H_CNLI`
`H_CNLN`
`H_CNLQ`
`H_CNLSB`
`H_CNLX`
`H_COVE`
`H_CRKT`
`H_CRNT`
`H_CUTF`
`H_DCK`
`H_DCKB`
`H_DOMG`
`H_DPRG`
`H_DTCH`
`H_DTCHD`
`H_DTCHI`
`H_DTCHM`
`H_ESTY`
`H_FISH`
`H_FJD`
`H_FJDS`
`H_FLLS`
`H_FLLSX`
`H_FLTM`
`H_FLTT`
`H_GLCR`
`H_GULF`
`H_GYSR`
`H_HBR`
`H_HBRX`
`H_INLT`
`H_INLTQ`
`H_LBED`
`H_LGN`
`H_LGNS`
`H_LGNX`
`H_LK`
`H_LKC`
`H_LKI`
`H_LKN`
`H_LKNI`
`H_LKO`
`H_LKOI`
`H_LKS`
`H_LKSB`
`H_LKSC`
`H_LKSI`
`H_LKSN`
`H_LKSNI`
`H_LKX`
`H_MFGN`
`H_MGV`
`H_MOOR`
`H_MRSH`
`H_MRSHN`
`H_NRWS`
`H_OCN`
`H_OVF`
`H_PND`
`H_PNDI`
`H_PNDN`
`H_PNDNI`
`H_PNDS`
`H_PNDSF`
`H_PNDSI`
`H_PNDSN`
`H_POOL`
`H_POOLI`
`H_RCH`
`H_RDGG`
`H_RDST`
`H_RF`
`H_RFC`
`H_RFX`
`H_RPDS`
`H_RSV`
`H_RSVI`
`H_RSVT`
`H_RVN`
`H_SBKH`
`H_SD`
`H_SEA`
`H_SHOL`
`H_SILL`
`H_SPNG`
`H_SPNS`
`H_SPNT`
`H_STM`
`H_STMA`
`H_STMB`
`H_STMC`
`H_STMD`
`H_STMH`
`H_STMI`
`H_STMIX`
`H_STMM`
`H_STMQ`
`H_STMS`
`H_STMSB`
`H_STMX`
`H_STRT`
`H_SWMP`
`H_SYSI`
`H_TNLC`
`H_WAD`
`H_WADB`
`H_WADJ`
`H_WADM`
`H_WADS`
`H_WADX`
`H_WHRL`
`H_WLL`
`H_WLLQ`
`H_WLLS`
`H_WTLD`
`H_WTLDI`
`H_WTRC`
`H_WTRH`
`L_AGRC`
`L_AMUS`
`L_AREA`
`L_BSND`
`L_BSNP`
`L_BTL`
`L_CLG`
`L_CMN`
`L_CNS`
`L_COLF`
`L_CONT`
`L_CST`
`L_CTRB`
`L_DEVH`
`L_FLD`
`L_FLDI`
`L_GASF`
`L_GRAZ`
`L_GVL`
`L_INDS`
`L_LAND`
`L_LCTY`
`L_MILB`
`L_MNA`
`L_MVA`
`L_NVB`
`L_OAS`
`L_OILF`
`L_PEAT`
`L_PRK`
`L_PRT`
`L_QCKS`
`L_REP`
`L_RES`
`L_RESA`
`L_RESF`
`L_RESH`
`L_RESN`
`L_RESP`
`L_RESV`
`L_RESW`
`L_RGN`
`L_RGNE`
`L_RGNL`
`L_RNGA`
`L_SALT`
`L_SNOW`
`L_TRB`
`L_ZZZZZ`
`P_PPL`
`P_PPLA`
`P_PPLC`
`P_PPLG`
`P_PPLL`
`P_PPLQ`
`P_PPLR`
`P_PPLS`
`P_PPLW`
`P_PPLX`
`P_STLMT`
`R_CSWY`
`R_CSWYQ`
`R_OILP`
`R_PRMN`
`R_PTGE`
`R_RD`
`R_RDA`
`R_RDB`
`R_RDCUT`
`R_RDJCT`
`R_RJCT`
`R_RR`
`R_RRQ`
`R_RTE`
`R_RYD`
`R_ST`
`R_STKR`
`R_TNL`
`R_TNLN`
`R_TNLRD`
`R_TNLRR`
`R_TNLS`
`R_TRL`
`S_ADMF`
`S_AGRF`
`S_AIRB`
`S_AIRF`
`S_AIRH`
`S_AIRP`
`S_AIRQ`
`S_AMTH`
`S_ANS`
`S_ARCH`
`S_ASTR`
`S_ASYL`
`S_ATHF`
`S_ATM`
`S_BANK`
`S_BCN`
`S_BDG`
`S_BDGQ`
`S_BLDG`
`S_BP`
`S_BRKS`
`S_BRKW`
`S_BSTN`
`S_BTYD`
`S_BUR`
`S_BUSTN`
`S_BUSTP`
`S_CARN`
`S_CAVE`
`S_CH`
`S_CMP`
`S_CMPL`
`S_CMPLA`
`S_CMPMN`
`S_CMPO`
`S_CMPQ`
`S_CMPRF`
`S_CMTY`
`S_COMC`
`S_CRRL`
`S_CSNO`
`S_CSTL`
`S_CSTM`
`S_CTHSE`
`S_CTRA`
`S_CTRCM`
`S_CTRF`
`S_CTRM`
`S_CTRR`
`S_CTRS`
`S_CVNT`
`S_DAM`
`S_DAMQ`
`S_DAMSB`
`S_DARY`
`S_DCKD`
`S_DCKY`
`S_DIKE`
`S_DPOF`
`S_EST`
`S_ESTB`
`S_ESTC`
`S_ESTO`
`S_ESTR`
`S_ESTSG`
`S_ESTSL`
`S_ESTT`
`S_ESTX`
`S_FCL`
`S_FNDY`
`S_FRM`
`S_FRMQ`
`S_FRMS`
`S_FRMT`
`S_FT`
`S_FY`
`S_GATE`
`S_GDN`
`S_GHSE`
`S_GOSP`
`S_GRVE`
`S_HERM`
`S_HLT`
`S_HSE`
`S_HSEC`
`S_HSP`
`S_HSPC`
`S_HSPD`
`S_HSPL`
`S_HSTS`
`S_HTL`
`S_HUT`
`S_HUTS`
`S_INSM`
`S_ITTR`
`S_JTY`
`S_LDNG`
`S_LEPC`
`S_LIBR`
`S_LOCK`
`S_LTHSE`
`S_MALL`
`S_MAR`
`S_MFG`
`S_MFGB`
`S_MFGC`
`S_MFGCU`
`S_MFGLM`
`S_MFGM`
`S_MFGPH`
`S_MFGQ`
`S_MFGSG`
`S_MKT`
`S_ML`
`S_MLM`
`S_MLO`
`S_MLSG`
`S_MLSGQ`
`S_MLSW`
`S_MLWND`
`S_MLWTR`
`S_MN`
`S_MNAU`
`S_MNC`
`S_MNCR`
`S_MNCU`
`S_MNDT`
`S_MNFE`
`S_MNMT`
`S_MNN`
`S_MNNI`
`S_MNPB`
`S_MNPL`
`S_MNQ`
`S_MNQR`
`S_MNSN`
`S_MOLE`
`S_MSQE`
`S_MSSN`
`S_MSSNQ`
`S_MSTY`
`S_MTRO`
`S_MUS`
`S_NOV`
`S_NSY`
`S_OBPT`
`S_OBS`
`S_OBSR`
`S_OILJ`
`S_OILQ`
`S_OILR`
`S_OILT`
`S_OILW`
`S_OPRA`
`S_PAL`
`S_PGDA`
`S_PIER`
`S_PKLT`
`S_PMPO`
`S_PMPW`
`S_PO`
`S_PP`
`S_PPQ`
`S_PRKGT`
`S_PRKHQ`
`S_PRN`
`S_PRNJ`
`S_PRNQ`
`S_PS`
`S_PSH`
`S_PSTB`
`S_PSTC`
`S_PSTP`
`S_PYR`
`S_PYRS`
`S_QUAY`
`S_RECG`
`S_RECR`
`S_REST`
`S_RHSE`
`S_RKRY`
`S_RLG`
`S_RLGR`
`S_RNCH`
`S_RSD`
`S_RSGNL`
`S_RSRT`
`S_RSTN`
`S_RSTNQ`
`S_RSTP`
`S_RSTPQ`
`S_RUIN`
`S_SCH`
`S_SCHA`
`S_SCHC`
`S_SCHM`
`S_SCHN`
`S_SHPF`
`S_SHRN`
`S_SHSE`
`S_SLCE`
`S_SNTR`
`S_SPA`
`S_SPLY`
`S_SQR`
`S_STBL`
`S_STDM`
`S_STNB`
`S_STNC`
`S_STNE`
`S_STNF`
`S_STNI`
`S_STNM`
`S_STNR`
`S_STNS`
`S_STNW`
`S_STPS`
`S_THTR`
`S_TMB`
`S_TMPL`
`S_TNKD`
`S_TOWR`
`S_TRIG`
`S_TRMO`
`S_UNIV`
`S_USGE`
`S_VETF`
`S_WALL`
`S_WALLA`
`S_WEIR`
`S_WHRF`
`S_WRCK`
`S_WTRW`
`S_ZNF`
`S_ZOO`
`T_ASPH`
`T_ATOL`
`T_BAR`
`T_BCH`
`T_BCHS`
`T_BDLD`
`T_BLDR`
`T_BLHL`
`T_BLOW`
`T_BNCH`
`T_BUTE`
`T_CAPE`
`T_CFT`
`T_CLDA`
`T_CLF`
`T_CNYN`
`T_CONE`
`T_CRDR`
`T_CRQ`
`T_CRQS`
`T_CRTR`
`T_CUET`
`T_DLTA`
`T_DPR`
`T_DSRT`
`T_DUNE`
`T_DVD`
`T_ERG`
`T_FAN`
`T_FORD`
`T_FSR`
`T_GAP`
`T_GRGE`
`T_HDLD`
`T_HLL`
`T_HLLS`
`T_HMCK`
`T_HMDA`
`T_INTF`
`T_ISL`
`T_ISLF`
`T_ISLM`
`T_ISLS`
`T_ISLT`
`T_ISLX`
`T_ISTH`
`T_KRST`
`T_LAVA`
`T_LEV`
`T_MESA`
`T_MND`
`T_MRN`
`T_MT`
`T_MTS`
`T_NKM`
`T_NTK`
`T_NTKS`
`T_PAN`
`T_PANS`
`T_PASS`
`T_PEN`
`T_PENX`
`T_PK`
`T_PKS`
`T_PLAT`
`T_PLATX`
`T_PLDR`
`T_PLN`
`T_PLNX`
`T_PROM`
`T_PT`
`T_PTS`
`T_RDGB`
`T_RDGE`
`T_REG`
`T_RK`
`T_RKFL`
`T_RKS`
`T_SAND`
`T_SBED`
`T_SCRP`
`T_SDL`
`T_SHOR`
`T_SINK`
`T_SLID`
`T_SLP`
`T_SPIT`
`T_SPUR`
`T_TAL`
`T_TRGD`
`T_TRR`
`T_UPLD`
`T_VAL`
`T_VALG`
`T_VALS`
`T_VALX`
`T_VLC`
`U_APNU`
`U_ARCU`
`U_ARRU`
`U_BDLU`
`U_BKSU`
`U_BNCU`
`U_BNKU`
`U_BSNU`
`U_CDAU`
`U_CNSU`
`U_CNYU`
`U_CRSU`
`U_DEPU`
`U_EDGU`
`U_ESCU`
`U_FANU`
`U_FLTU`
`U_FRKU`
`U_FRSU`
`U_FRZU`
`U_FURU`
`U_GAPU`
`U_GLYU`
`U_HLLU`
`U_HLSU`
`U_HOLU`
`U_KNLU`
`U_KNSU`
`U_LDGU`
`U_LEVU`
`U_MDVU`
`U_MESU`
`U_MNDU`
`U_MOTU`
`U_MTSU`
`U_MTU`
`U_PKSU`
`U_PKU`
`U_PLFU`
`U_PLNU`
`U_PLTU`
`U_PNLU`
`U_PRVU`
`U_RAVU`
`U_RDGU`
`U_RDSU`
`U_RFSU`
`U_RFU`
`U_RISU`
`U_RMPU`
`U_RNGU`
`U_SCNU`
`U_SCSU`
`U_SDLU`
`U_SHFU`
`U_SHLU`
`U_SHSU`
`U_SHVU`
`U_SILU`
`U_SLPU`
`U_SMSU`
`U_SMU`
`U_SPRU`
`U_TERU`
`U_TMSU`
`U_TMTU`
`U_TNGU`
`U_TRGU`
`U_TRNU`
`U_VALU`
`U_VLSU`
`UNK_UNK`
`V_BUSH`
`V_CULT`
`V_FRST`
`V_FRSTF`
`V_GRSLD`
`V_GRVC`
`V_GRVO`
`V_GRVP`
`V_GRVPN`
`V_HTH`
`V_MDW`
`V_OCH`
`V_SCRB`
`V_TREE`
`V_TUND`
`V_VIN`
`V_VINS`

Field Summary
`static java.util.Locale` | `DEFAULT_FALLBACK_LOCALE` The default Locale, If the thread one does not esxists
`static java.lang.String` | `DEFAULT_TRANSLATION` The default Translation.
`static java.util.Map<java.lang.String,java.lang.Class<? extends GisFeature>>` | `entityClass` A map that associate a string to a class
`protected static org.slf4j.Logger` | `logger`

Method Summary
`java.lang.String` | `getLocalizedDescription(java.util.Locale locale)` The specified locale is used : If null the `LocaleContextHolder` one is used (in a web context, it should be the user locale).
`abstract GisFeature` | `getObject()` Returns the java Object that the feature class and feature code are associated to.
`static FeatureCode` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static FeatureCode[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### A_ADM1

    public static final FeatureCode A_ADM1

### A_ADM2

    public static final FeatureCode A_ADM2

### A_ADM3

    public static final FeatureCode A_ADM3

### A_ADM4

    public static final FeatureCode A_ADM4

### A_ADMD

    public static final FeatureCode A_ADMD

### A_LTER

    public static final FeatureCode A_LTER

### A_PCL

    public static final FeatureCode A_PCL

### A_PCLD

    public static final FeatureCode A_PCLD

### A_PCLF

    public static final FeatureCode A_PCLF

### A_PCLI

    public static final FeatureCode A_PCLI

### A_PCLIX

    public static final FeatureCode A_PCLIX

### A_PCLS

    public static final FeatureCode A_PCLS

### A_PRSH

    public static final FeatureCode A_PRSH

### A_TERR

    public static final FeatureCode A_TERR

### A_ZN

    public static final FeatureCode A_ZN

### A_ZNB

    public static final FeatureCode A_ZNB

### H_AIRS

    public static final FeatureCode H_AIRS

### H_ANCH

    public static final FeatureCode H_ANCH

### H_BAY

    public static final FeatureCode H_BAY

### H_BAYS

    public static final FeatureCode H_BAYS

### H_BGHT

    public static final FeatureCode H_BGHT

### H_BNK

    public static final FeatureCode H_BNK

### H_BNKR

    public static final FeatureCode H_BNKR

### H_BNKX

    public static final FeatureCode H_BNKX

### H_BOG

    public static final FeatureCode H_BOG

### H_CAPG

    public static final FeatureCode H_CAPG

### H_CHN

    public static final FeatureCode H_CHN

### H_CHNL

    public static final FeatureCode H_CHNL

### H_CHNM

    public static final FeatureCode H_CHNM

### H_CHNN

    public static final FeatureCode H_CHNN

### H_CNFL

    public static final FeatureCode H_CNFL

### H_CNL

    public static final FeatureCode H_CNL

### H_CNLA

    public static final FeatureCode H_CNLA

### H_CNLB

    public static final FeatureCode H_CNLB

### H_CNLD

    public static final FeatureCode H_CNLD

### H_CNLI

    public static final FeatureCode H_CNLI

### H_CNLN

    public static final FeatureCode H_CNLN

### H_CNLQ

    public static final FeatureCode H_CNLQ

### H_CNLSB

    public static final FeatureCode H_CNLSB

### H_CNLX

    public static final FeatureCode H_CNLX

### H_COVE

    public static final FeatureCode H_COVE

### H_CRKT

    public static final FeatureCode H_CRKT

### H_CRNT

    public static final FeatureCode H_CRNT

### H_CUTF

    public static final FeatureCode H_CUTF

### H_DCK

    public static final FeatureCode H_DCK

### H_DCKB

    public static final FeatureCode H_DCKB

### H_DOMG

    public static final FeatureCode H_DOMG

### H_DPRG

    public static final FeatureCode H_DPRG

### H_DTCH

    public static final FeatureCode H_DTCH

### H_DTCHD

    public static final FeatureCode H_DTCHD

### H_DTCHI

    public static final FeatureCode H_DTCHI

### H_DTCHM

    public static final FeatureCode H_DTCHM

### H_ESTY

    public static final FeatureCode H_ESTY

### H_FISH

    public static final FeatureCode H_FISH

### H_FJD

    public static final FeatureCode H_FJD

### H_FJDS

    public static final FeatureCode H_FJDS

### H_FLLS

    public static final FeatureCode H_FLLS

### H_FLLSX

    public static final FeatureCode H_FLLSX

### H_FLTM

    public static final FeatureCode H_FLTM

### H_FLTT

    public static final FeatureCode H_FLTT

### H_GLCR

    public static final FeatureCode H_GLCR

### H_GULF

    public static final FeatureCode H_GULF

### H_GYSR

    public static final FeatureCode H_GYSR

### H_HBR

    public static final FeatureCode H_HBR

### H_HBRX

    public static final FeatureCode H_HBRX

### H_INLT

    public static final FeatureCode H_INLT

### H_INLTQ

    public static final FeatureCode H_INLTQ

### H_LBED

    public static final FeatureCode H_LBED

### H_LGN

    public static final FeatureCode H_LGN

### H_LGNS

    public static final FeatureCode H_LGNS

### H_LGNX

    public static final FeatureCode H_LGNX

### H_LK

    public static final FeatureCode H_LK

### H_LKC

    public static final FeatureCode H_LKC

### H_LKI

    public static final FeatureCode H_LKI

### H_LKN

    public static final FeatureCode H_LKN

### H_LKNI

    public static final FeatureCode H_LKNI

### H_LKO

    public static final FeatureCode H_LKO

### H_LKOI

    public static final FeatureCode H_LKOI

### H_LKS

    public static final FeatureCode H_LKS

### H_LKSB

    public static final FeatureCode H_LKSB

### H_LKSC

    public static final FeatureCode H_LKSC

### H_LKSI

    public static final FeatureCode H_LKSI

### H_LKSN

    public static final FeatureCode H_LKSN

### H_LKSNI

    public static final FeatureCode H_LKSNI

### H_LKX

    public static final FeatureCode H_LKX

### H_MFGN

    public static final FeatureCode H_MFGN

### H_MGV

    public static final FeatureCode H_MGV

### H_MOOR

    public static final FeatureCode H_MOOR

### H_MRSH

    public static final FeatureCode H_MRSH

### H_MRSHN

    public static final FeatureCode H_MRSHN

### H_NRWS

    public static final FeatureCode H_NRWS

### H_OCN

    public static final FeatureCode H_OCN

### H_OVF

    public static final FeatureCode H_OVF

### H_PND

    public static final FeatureCode H_PND

### H_PNDI

    public static final FeatureCode H_PNDI

### H_PNDN

    public static final FeatureCode H_PNDN

### H_PNDNI

    public static final FeatureCode H_PNDNI

### H_PNDS

    public static final FeatureCode H_PNDS

### H_PNDSF

    public static final FeatureCode H_PNDSF

### H_PNDSI

    public static final FeatureCode H_PNDSI

### H_PNDSN

    public static final FeatureCode H_PNDSN

### H_POOL

    public static final FeatureCode H_POOL

### H_POOLI

    public static final FeatureCode H_POOLI

### H_RCH

    public static final FeatureCode H_RCH

### H_RDGG

    public static final FeatureCode H_RDGG

### H_RDST

    public static final FeatureCode H_RDST

### H_RF

    public static final FeatureCode H_RF

### H_RFC

    public static final FeatureCode H_RFC

### H_RFX

    public static final FeatureCode H_RFX

### H_RPDS

    public static final FeatureCode H_RPDS

### H_RSV

    public static final FeatureCode H_RSV

### H_RSVI

    public static final FeatureCode H_RSVI

### H_RSVT

    public static final FeatureCode H_RSVT

### H_RVN

    public static final FeatureCode H_RVN

### H_SBKH

    public static final FeatureCode H_SBKH

### H_SD

    public static final FeatureCode H_SD

### H_SEA

    public static final FeatureCode H_SEA

### H_SHOL

    public static final FeatureCode H_SHOL

### H_SILL

    public static final FeatureCode H_SILL

### H_SPNG

    public static final FeatureCode H_SPNG

### H_SPNS

    public static final FeatureCode H_SPNS

### H_SPNT

    public static final FeatureCode H_SPNT

### H_STM

    public static final FeatureCode H_STM

### H_STMA

    public static final FeatureCode H_STMA

### H_STMB

    public static final FeatureCode H_STMB

### H_STMC

    public static final FeatureCode H_STMC

### H_STMD

    public static final FeatureCode H_STMD

### H_STMH

    public static final FeatureCode H_STMH

### H_STMI

    public static final FeatureCode H_STMI

### H_STMIX

    public static final FeatureCode H_STMIX

### H_STMM

    public static final FeatureCode H_STMM

### H_STMQ

    public static final FeatureCode H_STMQ

### H_STMS

    public static final FeatureCode H_STMS

### H_STMSB

    public static final FeatureCode H_STMSB

### H_STMX

    public static final FeatureCode H_STMX

### H_STRT

    public static final FeatureCode H_STRT

### H_SWMP

    public static final FeatureCode H_SWMP

### H_SYSI

    public static final FeatureCode H_SYSI

### H_TNLC

    public static final FeatureCode H_TNLC

### H_WAD

    public static final FeatureCode H_WAD

### H_WADB

    public static final FeatureCode H_WADB

### H_WADJ

    public static final FeatureCode H_WADJ

### H_WADM

    public static final FeatureCode H_WADM

### H_WADS

    public static final FeatureCode H_WADS

### H_WADX

    public static final FeatureCode H_WADX

### H_WHRL

    public static final FeatureCode H_WHRL

### H_WLL

    public static final FeatureCode H_WLL

### H_WLLQ

    public static final FeatureCode H_WLLQ

### H_WLLS

    public static final FeatureCode H_WLLS

### H_WTLD

    public static final FeatureCode H_WTLD

### H_WTLDI

    public static final FeatureCode H_WTLDI

### H_WTRC

    public static final FeatureCode H_WTRC

### H_WTRH

    public static final FeatureCode H_WTRH

### L_AGRC

    public static final FeatureCode L_AGRC

### L_AMUS

    public static final FeatureCode L_AMUS

### L_AREA

    public static final FeatureCode L_AREA

### L_BSND

    public static final FeatureCode L_BSND

### L_BSNP

    public static final FeatureCode L_BSNP

### L_BTL

    public static final FeatureCode L_BTL

### L_CLG

    public static final FeatureCode L_CLG

### L_CMN

    public static final FeatureCode L_CMN

### L_CNS

    public static final FeatureCode L_CNS

### L_COLF

    public static final FeatureCode L_COLF

### L_CONT

    public static final FeatureCode L_CONT

### L_CST

    public static final FeatureCode L_CST

### L_CTRB

    public static final FeatureCode L_CTRB

### L_DEVH

    public static final FeatureCode L_DEVH

### L_FLD

    public static final FeatureCode L_FLD

### L_FLDI

    public static final FeatureCode L_FLDI

### L_GASF

    public static final FeatureCode L_GASF

### L_GRAZ

    public static final FeatureCode L_GRAZ

### L_GVL

    public static final FeatureCode L_GVL

### L_INDS

    public static final FeatureCode L_INDS

### L_LAND

    public static final FeatureCode L_LAND

### L_LCTY

    public static final FeatureCode L_LCTY

### L_MILB

    public static final FeatureCode L_MILB

### L_MNA

    public static final FeatureCode L_MNA

### L_MVA

    public static final FeatureCode L_MVA

### L_NVB

    public static final FeatureCode L_NVB

### L_OAS

    public static final FeatureCode L_OAS

### L_OILF

    public static final FeatureCode L_OILF

### L_PEAT

    public static final FeatureCode L_PEAT

### L_PRK

    public static final FeatureCode L_PRK

### L_PRT

    public static final FeatureCode L_PRT

### L_QCKS

    public static final FeatureCode L_QCKS

### L_REP

    public static final FeatureCode L_REP

### L_RES

    public static final FeatureCode L_RES

### L_RESA

    public static final FeatureCode L_RESA

### L_RESF

    public static final FeatureCode L_RESF

### L_RESH

    public static final FeatureCode L_RESH

### L_RESN

    public static final FeatureCode L_RESN

### L_RESP

    public static final FeatureCode L_RESP

### L_RESV

    public static final FeatureCode L_RESV

### L_RESW

    public static final FeatureCode L_RESW

### L_RGN

    public static final FeatureCode L_RGN

### L_RGNE

    public static final FeatureCode L_RGNE

### L_RGNL

    public static final FeatureCode L_RGNL

### L_RNGA

    public static final FeatureCode L_RNGA

### L_SALT

    public static final FeatureCode L_SALT

### L_SNOW

    public static final FeatureCode L_SNOW

### L_TRB

    public static final FeatureCode L_TRB

### L_ZZZZZ

    public static final FeatureCode L_ZZZZZ

### P_PPL

    public static final FeatureCode P_PPL

### P_PPLA

    public static final FeatureCode P_PPLA

### P_PPLC

    public static final FeatureCode P_PPLC

### P_PPLG

    public static final FeatureCode P_PPLG

### P_PPLL

    public static final FeatureCode P_PPLL

### P_PPLQ

    public static final FeatureCode P_PPLQ

### P_PPLR

    public static final FeatureCode P_PPLR

### P_PPLS

    public static final FeatureCode P_PPLS

### P_PPLW

    public static final FeatureCode P_PPLW

### P_PPLX

    public static final FeatureCode P_PPLX

### P_STLMT

    public static final FeatureCode P_STLMT

### R_CSWY

    public static final FeatureCode R_CSWY

### R_CSWYQ

    public static final FeatureCode R_CSWYQ

### R_OILP

    public static final FeatureCode R_OILP

### R_PRMN

    public static final FeatureCode R_PRMN

### R_PTGE

    public static final FeatureCode R_PTGE

### R_RD

    public static final FeatureCode R_RD

### R_RDA

    public static final FeatureCode R_RDA

### R_RDB

    public static final FeatureCode R_RDB

### R_RDCUT

    public static final FeatureCode R_RDCUT

### R_RDJCT

    public static final FeatureCode R_RDJCT

### R_RJCT

    public static final FeatureCode R_RJCT

### R_RR

    public static final FeatureCode R_RR

### R_RRQ

    public static final FeatureCode R_RRQ

### R_RTE

    public static final FeatureCode R_RTE

### R_RYD

    public static final FeatureCode R_RYD

### R_ST

    public static final FeatureCode R_ST

### R_STKR

    public static final FeatureCode R_STKR

### R_TNL

    public static final FeatureCode R_TNL

### R_TNLN

    public static final FeatureCode R_TNLN

### R_TNLRD

    public static final FeatureCode R_TNLRD

### R_TNLRR

    public static final FeatureCode R_TNLRR

### R_TNLS

    public static final FeatureCode R_TNLS

### R_TRL

    public static final FeatureCode R_TRL

### S_ADMF

    public static final FeatureCode S_ADMF

### S_AGRF

    public static final FeatureCode S_AGRF

### S_AIRB

    public static final FeatureCode S_AIRB

### S_AIRF

    public static final FeatureCode S_AIRF

### S_AIRH

    public static final FeatureCode S_AIRH

### S_AIRP

    public static final FeatureCode S_AIRP

### S_AIRQ

    public static final FeatureCode S_AIRQ

### S_AMTH

    public static final FeatureCode S_AMTH

### S_ANS

    public static final FeatureCode S_ANS

### S_ARCH

    public static final FeatureCode S_ARCH

### S_ASTR

    public static final FeatureCode S_ASTR

### S_ASYL

    public static final FeatureCode S_ASYL

### S_ATHF

    public static final FeatureCode S_ATHF

### S_ATM

    public static final FeatureCode S_ATM

### S_BANK

    public static final FeatureCode S_BANK

### S_BCN

    public static final FeatureCode S_BCN

### S_BDG

    public static final FeatureCode S_BDG

### S_BDGQ

    public static final FeatureCode S_BDGQ

### S_BLDG

    public static final FeatureCode S_BLDG

### S_BP

    public static final FeatureCode S_BP

### S_BRKS

    public static final FeatureCode S_BRKS

### S_BRKW

    public static final FeatureCode S_BRKW

### S_BSTN

    public static final FeatureCode S_BSTN

### S_BTYD

    public static final FeatureCode S_BTYD

### S_BUR

    public static final FeatureCode S_BUR

### S_BUSTN

    public static final FeatureCode S_BUSTN

### S_BUSTP

    public static final FeatureCode S_BUSTP

### S_CARN

    public static final FeatureCode S_CARN

### S_CAVE

    public static final FeatureCode S_CAVE

### S_CH

    public static final FeatureCode S_CH

### S_CMP

    public static final FeatureCode S_CMP

### S_CMPL

    public static final FeatureCode S_CMPL

### S_CMPLA

    public static final FeatureCode S_CMPLA

### S_CMPMN

    public static final FeatureCode S_CMPMN

### S_CMPO

    public static final FeatureCode S_CMPO

### S_CMPQ

    public static final FeatureCode S_CMPQ

### S_CMPRF

    public static final FeatureCode S_CMPRF

### S_CMTY

    public static final FeatureCode S_CMTY

### S_COMC

    public static final FeatureCode S_COMC

### S_CRRL

    public static final FeatureCode S_CRRL

### S_CSNO

    public static final FeatureCode S_CSNO

### S_CSTL

    public static final FeatureCode S_CSTL

### S_CSTM

    public static final FeatureCode S_CSTM

### S_CTHSE

    public static final FeatureCode S_CTHSE

### S_CTRA

    public static final FeatureCode S_CTRA

### S_CTRCM

    public static final FeatureCode S_CTRCM

### S_CTRF

    public static final FeatureCode S_CTRF

### S_CTRM

    public static final FeatureCode S_CTRM

### S_CTRR

    public static final FeatureCode S_CTRR

### S_CTRS

    public static final FeatureCode S_CTRS

### S_CVNT

    public static final FeatureCode S_CVNT

### S_DAM

    public static final FeatureCode S_DAM

### S_DAMQ

    public static final FeatureCode S_DAMQ

### S_DAMSB

    public static final FeatureCode S_DAMSB

### S_DARY

    public static final FeatureCode S_DARY

### S_DCKD

    public static final FeatureCode S_DCKD

### S_DCKY

    public static final FeatureCode S_DCKY

### S_DIKE

    public static final FeatureCode S_DIKE

### S_DPOF

    public static final FeatureCode S_DPOF

### S_EST

    public static final FeatureCode S_EST

### S_ESTB

    public static final FeatureCode S_ESTB

### S_ESTC

    public static final FeatureCode S_ESTC

### S_ESTO

    public static final FeatureCode S_ESTO

### S_ESTR

    public static final FeatureCode S_ESTR

### S_ESTSG

    public static final FeatureCode S_ESTSG

### S_ESTSL

    public static final FeatureCode S_ESTSL

### S_ESTT

    public static final FeatureCode S_ESTT

### S_ESTX

    public static final FeatureCode S_ESTX

### S_FCL

    public static final FeatureCode S_FCL

### S_FNDY

    public static final FeatureCode S_FNDY

### S_FRM

    public static final FeatureCode S_FRM

### S_FRMQ

    public static final FeatureCode S_FRMQ

### S_FRMS

    public static final FeatureCode S_FRMS

### S_FRMT

    public static final FeatureCode S_FRMT

### S_FT

    public static final FeatureCode S_FT

### S_FY

    public static final FeatureCode S_FY

### S_GATE

    public static final FeatureCode S_GATE

### S_GDN

    public static final FeatureCode S_GDN

### S_GHSE

    public static final FeatureCode S_GHSE

### S_GOSP

    public static final FeatureCode S_GOSP

### S_GRVE

    public static final FeatureCode S_GRVE

### S_HERM

    public static final FeatureCode S_HERM

### S_HLT

    public static final FeatureCode S_HLT

### S_HSE

    public static final FeatureCode S_HSE

### S_HSEC

    public static final FeatureCode S_HSEC

### S_HSP

    public static final FeatureCode S_HSP

### S_HSPC

    public static final FeatureCode S_HSPC

### S_HSPD

    public static final FeatureCode S_HSPD

### S_HSPL

    public static final FeatureCode S_HSPL

### S_HSTS

    public static final FeatureCode S_HSTS

### S_HTL

    public static final FeatureCode S_HTL

### S_HUT

    public static final FeatureCode S_HUT

### S_HUTS

    public static final FeatureCode S_HUTS

### S_INSM

    public static final FeatureCode S_INSM

### S_ITTR

    public static final FeatureCode S_ITTR

### S_JTY

    public static final FeatureCode S_JTY

### S_LDNG

    public static final FeatureCode S_LDNG

### S_LEPC

    public static final FeatureCode S_LEPC

### S_LIBR

    public static final FeatureCode S_LIBR

### S_LOCK

    public static final FeatureCode S_LOCK

### S_LTHSE

    public static final FeatureCode S_LTHSE

### S_MALL

    public static final FeatureCode S_MALL

### S_MAR

    public static final FeatureCode S_MAR

### S_MFG

    public static final FeatureCode S_MFG

### S_MFGB

    public static final FeatureCode S_MFGB

### S_MFGC

    public static final FeatureCode S_MFGC

### S_MFGCU

    public static final FeatureCode S_MFGCU

### S_MFGLM

    public static final FeatureCode S_MFGLM

### S_MFGM

    public static final FeatureCode S_MFGM

### S_MFGPH

    public static final FeatureCode S_MFGPH

### S_MFGQ

    public static final FeatureCode S_MFGQ

### S_MFGSG

    public static final FeatureCode S_MFGSG

### S_MKT

    public static final FeatureCode S_MKT

### S_ML

    public static final FeatureCode S_ML

### S_MLM

    public static final FeatureCode S_MLM

### S_MLO

    public static final FeatureCode S_MLO

### S_MLSG

    public static final FeatureCode S_MLSG

### S_MLSGQ

    public static final FeatureCode S_MLSGQ

### S_MLSW

    public static final FeatureCode S_MLSW

### S_MLWND

    public static final FeatureCode S_MLWND

### S_MLWTR

    public static final FeatureCode S_MLWTR

### S_MN

    public static final FeatureCode S_MN

### S_MNAU

    public static final FeatureCode S_MNAU

### S_MNC

    public static final FeatureCode S_MNC

### S_MNCR

    public static final FeatureCode S_MNCR

### S_MNCU

    public static final FeatureCode S_MNCU

### S_MNDT

    public static final FeatureCode S_MNDT

### S_MNFE

    public static final FeatureCode S_MNFE

### S_MNMT

    public static final FeatureCode S_MNMT

### S_MNN

    public static final FeatureCode S_MNN

### S_MNNI

    public static final FeatureCode S_MNNI

### S_MNPB

    public static final FeatureCode S_MNPB

### S_MNPL

    public static final FeatureCode S_MNPL

### S_MNQ

    public static final FeatureCode S_MNQ

### S_MNQR

    public static final FeatureCode S_MNQR

### S_MNSN

    public static final FeatureCode S_MNSN

### S_MOLE

    public static final FeatureCode S_MOLE

### S_MSQE

    public static final FeatureCode S_MSQE

### S_MSSN

    public static final FeatureCode S_MSSN

### S_MSSNQ

    public static final FeatureCode S_MSSNQ

### S_MSTY

    public static final FeatureCode S_MSTY

### S_MTRO

    public static final FeatureCode S_MTRO

### S_MUS

    public static final FeatureCode S_MUS

### S_NOV

    public static final FeatureCode S_NOV

### S_NSY

    public static final FeatureCode S_NSY

### S_OBPT

    public static final FeatureCode S_OBPT

### S_OBS

    public static final FeatureCode S_OBS

### S_OBSR

    public static final FeatureCode S_OBSR

### S_OILJ

    public static final FeatureCode S_OILJ

### S_OILQ

    public static final FeatureCode S_OILQ

### S_OILR

    public static final FeatureCode S_OILR

### S_OILT

    public static final FeatureCode S_OILT

### S_OILW

    public static final FeatureCode S_OILW

### S_OPRA

    public static final FeatureCode S_OPRA

### S_PAL

    public static final FeatureCode S_PAL

### S_PGDA

    public static final FeatureCode S_PGDA

### S_PIER

    public static final FeatureCode S_PIER

### S_PKLT

    public static final FeatureCode S_PKLT

### S_PMPO

    public static final FeatureCode S_PMPO

### S_PMPW

    public static final FeatureCode S_PMPW

### S_PO

    public static final FeatureCode S_PO

### S_PP

    public static final FeatureCode S_PP

### S_PPQ

    public static final FeatureCode S_PPQ

### S_PRKGT

    public static final FeatureCode S_PRKGT

### S_PRKHQ

    public static final FeatureCode S_PRKHQ

### S_PRN

    public static final FeatureCode S_PRN

### S_PRNJ

    public static final FeatureCode S_PRNJ

### S_PRNQ

    public static final FeatureCode S_PRNQ

### S_PS

    public static final FeatureCode S_PS

### S_PSH

    public static final FeatureCode S_PSH

### S_PSTB

    public static final FeatureCode S_PSTB

### S_PSTC

    public static final FeatureCode S_PSTC

### S_PSTP

    public static final FeatureCode S_PSTP

### S_PYR

    public static final FeatureCode S_PYR

### S_PYRS

    public static final FeatureCode S_PYRS

### S_QUAY

    public static final FeatureCode S_QUAY

### S_RECG

    public static final FeatureCode S_RECG

### S_RECR

    public static final FeatureCode S_RECR

### S_REST

    public static final FeatureCode S_REST

### S_RHSE

    public static final FeatureCode S_RHSE

### S_RKRY

    public static final FeatureCode S_RKRY

### S_RLG

    public static final FeatureCode S_RLG

### S_RLGR

    public static final FeatureCode S_RLGR

### S_RNCH

    public static final FeatureCode S_RNCH

### S_RSD

    public static final FeatureCode S_RSD

### S_RSGNL

    public static final FeatureCode S_RSGNL

### S_RSRT

    public static final FeatureCode S_RSRT

### S_RSTN

    public static final FeatureCode S_RSTN

### S_RSTNQ

    public static final FeatureCode S_RSTNQ

### S_RSTP

    public static final FeatureCode S_RSTP

### S_RSTPQ

    public static final FeatureCode S_RSTPQ

### S_RUIN

    public static final FeatureCode S_RUIN

### S_SCH

    public static final FeatureCode S_SCH

### S_SCHA

    public static final FeatureCode S_SCHA

### S_SCHC

    public static final FeatureCode S_SCHC

### S_SCHM

    public static final FeatureCode S_SCHM

### S_SCHN

    public static final FeatureCode S_SCHN

### S_SHPF

    public static final FeatureCode S_SHPF

### S_SHRN

    public static final FeatureCode S_SHRN

### S_SHSE

    public static final FeatureCode S_SHSE

### S_SLCE

    public static final FeatureCode S_SLCE

### S_SNTR

    public static final FeatureCode S_SNTR

### S_SPA

    public static final FeatureCode S_SPA

### S_SPLY

    public static final FeatureCode S_SPLY

### S_SQR

    public static final FeatureCode S_SQR

### S_STBL

    public static final FeatureCode S_STBL

### S_STDM

    public static final FeatureCode S_STDM

### S_STNB

    public static final FeatureCode S_STNB

### S_STNC

    public static final FeatureCode S_STNC

### S_STNE

    public static final FeatureCode S_STNE

### S_STNF

    public static final FeatureCode S_STNF

### S_STNI

    public static final FeatureCode S_STNI

### S_STNM

    public static final FeatureCode S_STNM

### S_STNR

    public static final FeatureCode S_STNR

### S_STNS

    public static final FeatureCode S_STNS

### S_STNW

    public static final FeatureCode S_STNW

### S_STPS

    public static final FeatureCode S_STPS

### S_THTR

    public static final FeatureCode S_THTR

### S_TMB

    public static final FeatureCode S_TMB

### S_TMPL

    public static final FeatureCode S_TMPL

### S_TNKD

    public static final FeatureCode S_TNKD

### S_TOWR

    public static final FeatureCode S_TOWR

### S_TRIG

    public static final FeatureCode S_TRIG

### S_TRMO

    public static final FeatureCode S_TRMO

### S_UNIV

    public static final FeatureCode S_UNIV

### S_USGE

    public static final FeatureCode S_USGE

### S_VETF

    public static final FeatureCode S_VETF

### S_WALL

    public static final FeatureCode S_WALL

### S_WALLA

    public static final FeatureCode S_WALLA

### S_WEIR

    public static final FeatureCode S_WEIR

### S_WHRF

    public static final FeatureCode S_WHRF

### S_WRCK

    public static final FeatureCode S_WRCK

### S_WTRW

    public static final FeatureCode S_WTRW

### S_ZNF

    public static final FeatureCode S_ZNF

### S_ZOO

    public static final FeatureCode S_ZOO

### T_ASPH

    public static final FeatureCode T_ASPH

### T_ATOL

    public static final FeatureCode T_ATOL

### T_BAR

    public static final FeatureCode T_BAR

### T_BCH

    public static final FeatureCode T_BCH

### T_BCHS

    public static final FeatureCode T_BCHS

### T_BDLD

    public static final FeatureCode T_BDLD

### T_BLDR

    public static final FeatureCode T_BLDR

### T_BLHL

    public static final FeatureCode T_BLHL

### T_BLOW

    public static final FeatureCode T_BLOW

### T_BNCH

    public static final FeatureCode T_BNCH

### T_BUTE

    public static final FeatureCode T_BUTE

### T_CAPE

    public static final FeatureCode T_CAPE

### T_CFT

    public static final FeatureCode T_CFT

### T_CLDA

    public static final FeatureCode T_CLDA

### T_CLF

    public static final FeatureCode T_CLF

### T_CNYN

    public static final FeatureCode T_CNYN

### T_CONE

    public static final FeatureCode T_CONE

### T_CRDR

    public static final FeatureCode T_CRDR

### T_CRQ

    public static final FeatureCode T_CRQ

### T_CRQS

    public static final FeatureCode T_CRQS

### T_CRTR

    public static final FeatureCode T_CRTR

### T_CUET

    public static final FeatureCode T_CUET

### T_DLTA

    public static final FeatureCode T_DLTA

### T_DPR

    public static final FeatureCode T_DPR

### T_DSRT

    public static final FeatureCode T_DSRT

### T_DUNE

    public static final FeatureCode T_DUNE

### T_DVD

    public static final FeatureCode T_DVD

### T_ERG

    public static final FeatureCode T_ERG

### T_FAN

    public static final FeatureCode T_FAN

### T_FORD

    public static final FeatureCode T_FORD

### T_FSR

    public static final FeatureCode T_FSR

### T_GAP

    public static final FeatureCode T_GAP

### T_GRGE

    public static final FeatureCode T_GRGE

### T_HDLD

    public static final FeatureCode T_HDLD

### T_HLL

    public static final FeatureCode T_HLL

### T_HLLS

    public static final FeatureCode T_HLLS

### T_HMCK

    public static final FeatureCode T_HMCK

### T_HMDA

    public static final FeatureCode T_HMDA

### T_INTF

    public static final FeatureCode T_INTF

### T_ISL

    public static final FeatureCode T_ISL

### T_ISLF

    public static final FeatureCode T_ISLF

### T_ISLM

    public static final FeatureCode T_ISLM

### T_ISLS

    public static final FeatureCode T_ISLS

### T_ISLT

    public static final FeatureCode T_ISLT

### T_ISLX

    public static final FeatureCode T_ISLX

### T_ISTH

    public static final FeatureCode T_ISTH

### T_KRST

    public static final FeatureCode T_KRST

### T_LAVA

    public static final FeatureCode T_LAVA

### T_LEV

    public static final FeatureCode T_LEV

### T_MESA

    public static final FeatureCode T_MESA

### T_MND

    public static final FeatureCode T_MND

### T_MRN

    public static final FeatureCode T_MRN

### T_MT

    public static final FeatureCode T_MT

### T_MTS

    public static final FeatureCode T_MTS

### T_NKM

    public static final FeatureCode T_NKM

### T_NTK

    public static final FeatureCode T_NTK

### T_NTKS

    public static final FeatureCode T_NTKS

### T_PAN

    public static final FeatureCode T_PAN

### T_PANS

    public static final FeatureCode T_PANS

### T_PASS

    public static final FeatureCode T_PASS

### T_PEN

    public static final FeatureCode T_PEN

### T_PENX

    public static final FeatureCode T_PENX

### T_PK

    public static final FeatureCode T_PK

### T_PKS

    public static final FeatureCode T_PKS

### T_PLAT

    public static final FeatureCode T_PLAT

### T_PLATX

    public static final FeatureCode T_PLATX

### T_PLDR

    public static final FeatureCode T_PLDR

### T_PLN

    public static final FeatureCode T_PLN

### T_PLNX

    public static final FeatureCode T_PLNX

### T_PROM

    public static final FeatureCode T_PROM

### T_PT

    public static final FeatureCode T_PT

### T_PTS

    public static final FeatureCode T_PTS

### T_RDGB

    public static final FeatureCode T_RDGB

### T_RDGE

    public static final FeatureCode T_RDGE

### T_REG

    public static final FeatureCode T_REG

### T_RK

    public static final FeatureCode T_RK

### T_RKFL

    public static final FeatureCode T_RKFL

### T_RKS

    public static final FeatureCode T_RKS

### T_SAND

    public static final FeatureCode T_SAND

### T_SBED

    public static final FeatureCode T_SBED

### T_SCRP

    public static final FeatureCode T_SCRP

### T_SDL

    public static final FeatureCode T_SDL

### T_SHOR

    public static final FeatureCode T_SHOR

### T_SINK

    public static final FeatureCode T_SINK

### T_SLID

    public static final FeatureCode T_SLID

### T_SLP

    public static final FeatureCode T_SLP

### T_SPIT

    public static final FeatureCode T_SPIT

### T_SPUR

    public static final FeatureCode T_SPUR

### T_TAL

    public static final FeatureCode T_TAL

### T_TRGD

    public static final FeatureCode T_TRGD

### T_TRR

    public static final FeatureCode T_TRR

### T_UPLD

    public static final FeatureCode T_UPLD

### T_VAL

    public static final FeatureCode T_VAL

### T_VALG

    public static final FeatureCode T_VALG

### T_VALS

    public static final FeatureCode T_VALS

### T_VALX

    public static final FeatureCode T_VALX

### T_VLC

    public static final FeatureCode T_VLC

### U_APNU

    public static final FeatureCode U_APNU

### U_ARCU

    public static final FeatureCode U_ARCU

### U_ARRU

    public static final FeatureCode U_ARRU

### U_BDLU

    public static final FeatureCode U_BDLU

### U_BKSU

    public static final FeatureCode U_BKSU

### U_BNCU

    public static final FeatureCode U_BNCU

### U_BNKU

    public static final FeatureCode U_BNKU

### U_BSNU

    public static final FeatureCode U_BSNU

### U_CDAU

    public static final FeatureCode U_CDAU

### U_CNSU

    public static final FeatureCode U_CNSU

### U_CNYU

    public static final FeatureCode U_CNYU

### U_CRSU

    public static final FeatureCode U_CRSU

### U_DEPU

    public static final FeatureCode U_DEPU

### U_EDGU

    public static final FeatureCode U_EDGU

### U_ESCU

    public static final FeatureCode U_ESCU

### U_FANU

    public static final FeatureCode U_FANU

### U_FLTU

    public static final FeatureCode U_FLTU

### U_FRKU

    public static final FeatureCode U_FRKU

### U_FRSU

    public static final FeatureCode U_FRSU

### U_FRZU

    public static final FeatureCode U_FRZU

### U_FURU

    public static final FeatureCode U_FURU

### U_GAPU

    public static final FeatureCode U_GAPU

### U_GLYU

    public static final FeatureCode U_GLYU

### U_HLLU

    public static final FeatureCode U_HLLU

### U_HLSU

    public static final FeatureCode U_HLSU

### U_HOLU

    public static final FeatureCode U_HOLU

### U_KNLU

    public static final FeatureCode U_KNLU

### U_KNSU

    public static final FeatureCode U_KNSU

### U_LDGU

    public static final FeatureCode U_LDGU

### U_LEVU

    public static final FeatureCode U_LEVU

### U_MDVU

    public static final FeatureCode U_MDVU

### U_MESU

    public static final FeatureCode U_MESU

### U_MNDU

    public static final FeatureCode U_MNDU

### U_MOTU

    public static final FeatureCode U_MOTU

### U_MTSU

    public static final FeatureCode U_MTSU

### U_MTU

    public static final FeatureCode U_MTU

### U_PKSU

    public static final FeatureCode U_PKSU

### U_PKU

    public static final FeatureCode U_PKU

### U_PLFU

    public static final FeatureCode U_PLFU

### U_PLNU

    public static final FeatureCode U_PLNU

### U_PLTU

    public static final FeatureCode U_PLTU

### U_PNLU

    public static final FeatureCode U_PNLU

### U_PRVU

    public static final FeatureCode U_PRVU

### U_RAVU

    public static final FeatureCode U_RAVU

### U_RDGU

    public static final FeatureCode U_RDGU

### U_RDSU

    public static final FeatureCode U_RDSU

### U_RFSU

    public static final FeatureCode U_RFSU

### U_RFU

    public static final FeatureCode U_RFU

### U_RISU

    public static final FeatureCode U_RISU

### U_RMPU

    public static final FeatureCode U_RMPU

### U_RNGU

    public static final FeatureCode U_RNGU

### U_SCNU

    public static final FeatureCode U_SCNU

### U_SCSU

    public static final FeatureCode U_SCSU

### U_SDLU

    public static final FeatureCode U_SDLU

### U_SHFU

    public static final FeatureCode U_SHFU

### U_SHLU

    public static final FeatureCode U_SHLU

### U_SHSU

    public static final FeatureCode U_SHSU

### U_SHVU

    public static final FeatureCode U_SHVU

### U_SILU

    public static final FeatureCode U_SILU

### U_SLPU

    public static final FeatureCode U_SLPU

### U_SMSU

    public static final FeatureCode U_SMSU

### U_SMU

    public static final FeatureCode U_SMU

### U_SPRU

    public static final FeatureCode U_SPRU

### U_TERU

    public static final FeatureCode U_TERU

### U_TMSU

    public static final FeatureCode U_TMSU

### U_TMTU

    public static final FeatureCode U_TMTU

### U_TNGU

    public static final FeatureCode U_TNGU

### U_TRGU

    public static final FeatureCode U_TRGU

### U_TRNU

    public static final FeatureCode U_TRNU

### U_VALU

    public static final FeatureCode U_VALU

### U_VLSU

    public static final FeatureCode U_VLSU

### V_BUSH

    public static final FeatureCode V_BUSH

### V_CULT

    public static final FeatureCode V_CULT

### V_FRST

    public static final FeatureCode V_FRST

### V_FRSTF

    public static final FeatureCode V_FRSTF

### V_GRSLD

    public static final FeatureCode V_GRSLD

### V_GRVC

    public static final FeatureCode V_GRVC

### V_GRVO

    public static final FeatureCode V_GRVO

### V_GRVP

    public static final FeatureCode V_GRVP

### V_GRVPN

    public static final FeatureCode V_GRVPN

### V_HTH

    public static final FeatureCode V_HTH

### V_MDW

    public static final FeatureCode V_MDW

### V_OCH

    public static final FeatureCode V_OCH

### V_SCRB

    public static final FeatureCode V_SCRB

### V_TREE

    public static final FeatureCode V_TREE

### V_TUND

    public static final FeatureCode V_TUND

### V_VIN

    public static final FeatureCode V_VIN

### V_VINS

    public static final FeatureCode V_VINS

### UNK_UNK

    public static final FeatureCode UNK_UNK

Field Detail

### DEFAULT_FALLBACK_LOCALE

    public static final java.util.Locale DEFAULT_FALLBACK_LOCALE

  The default Locale, If the thread one does not esxists

### DEFAULT_TRANSLATION

    public static final java.lang.String DEFAULT_TRANSLATION

  The default Translation. It is used when no translation is found for the locale

  See Also:
    Constant Field Values

### entityClass

    public static final java.util.Map<java.lang.String,java.lang.Class<? extends GisFeature>> entityClass

  A map that associate a string to a class

### logger

    protected static final org.slf4j.Logger logger

Method Detail

### values

    public static final FeatureCode[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(FeatureCode c : FeatureCode.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static FeatureCode valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

### getObject

    public abstract GisFeature getObject()

  Returns the java Object that the feature class and feature code are associated to. The goal is to defined java Object that regroup several feature code. note : Having several object improve performance for polymorphic request.
  because we restrict the search to the specified type and we don't search in the whole `GisFeature`

  Returns:
    The java Object the featureclass and feature code are associated to

### getLocalizedDescription

    public java.lang.String getLocalizedDescription(java.util.Locale locale)

  The specified locale is used :
  If null the `LocaleContextHolder` one is used (in a web context, it should be the user locale).
  If no bundle exists for the `LocaleContextHolder` : the `Locale.getDefault()` is used.
  If no bundle for `Locale.getDefault()` exists : the `DEFAULT_FALLBACK_LOCALE` is used.
  If no translation is found `DEFAULT_TRANSLATION` is return

  Parameters:
    `locale` - The Locale
  Returns:
    The localized description

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2009. All Rights Reserved.